Skip to main content

sui_getMoveFunctionArgTypes

POST

Return the argument types of a Move function, based on normalized Type.
param[0]
packagestringrequired
The package ID
param[1]
modulestringrequired
The module name
param[2]
functionstringrequired
The function name
Responses
jsonrpcstring
idinteger
resultarray
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "sui_getMoveFunctionArgTypes",
"params": [
"0xa0a7b108f5023b7356f2c6a4be6f058e267aae38e08260c7d519d8641897490c",
"suifrens",
"mint"
]
}'